Package: groovy.lang

## [Java] Interface MetaMember

-     public interface MetaMember

  Common values of a class member -- a field, property, method, or constructor.

  Since:
    5.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getModifiers()` Returns the Java modifier bit set for this meta member.
    `` | `public String` | `getName()` Returns the simple name of this meta member.
    `` | `public boolean` | `isFinal()` Indicates whether this member is declared `final`.
    `` | `public boolean` | `isPackagePrivate()` Indicates whether this member has package visibility.
    `` | `public boolean` | `isPrivate()` Indicates whether this member is declared `private`.
    `` | `public boolean` | `isProtected()` Indicates whether this member is declared `protected`.
    `` | `public boolean` | `isPublic()` Indicates whether this member is declared `public`.
    `` | `public boolean` | `isStatic()` Indicates whether this member is declared `static`.
    `` | `public boolean` | `isSynthetic()` Indicates whether this member is synthetic from the JVM's perspective.

- - ### Method Detail

    - #### public int getModifiers()

      Returns the Java modifier bit set for this meta member.

      Returns:
        the modifier flags

    - #### public String getName()

      Returns the simple name of this meta member.

      Returns:
        the member name

    - #### public boolean isFinal()

      Indicates whether this member is declared `final`.

      Returns:
        `true` if the final modifier is present

    - #### public boolean isPackagePrivate()

      Indicates whether this member has package visibility.

      Returns:
        `true` if no explicit access modifier is present

    - #### public boolean isPrivate()

      Indicates whether this member is declared `private`.

      Returns:
        `true` if the private modifier is present

    - #### public boolean isProtected()

      Indicates whether this member is declared `protected`.

      Returns:
        `true` if the protected modifier is present

    - #### public boolean isPublic()

      Indicates whether this member is declared `public`.

      Returns:
        `true` if the public modifier is present

    - #### public boolean isStatic()

      Indicates whether this member is declared `static`.

      Returns:
        `true` if the static modifier is present

    - #### public boolean isSynthetic()

      Indicates whether this member is synthetic from the JVM's perspective.

      Returns:
        `true` if the synthetic modifier bit is present